import '../icon/icon';
import { LocalizeController } from '../../utilities/localize';
import SolidElement from '../../internal/solid-element';
export default class SdVideo extends SolidElement {
    localize: LocalizeController;
    hostEl: HTMLElement;
    playing: boolean;
    isBelowBreakpoint: boolean;
    private resizeObserver;
    private readonly hasSlotController;
    private get poster();
    private get video();
    private hidePoster;
    private setVideoInert;
    private play;
    private handleKeydown;
    private handleButtonResize;
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-6-22-0-video': SdVideo;
    }
}
